﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.IO;

namespace MulticastTV
{
    static class ExportToSimplicityJs
    {
        static public void Start(string file, bool recserv )
        {
            StreamWriter sw = File.CreateText(file);
            if (recserv)
                sw.Write("MctvRecSrvPlaylist=[");
            else
               sw.Write("la=[");
            DataView dw = ChannelTable.menu.Tables["Menu"].DefaultView;
            dw.Sort = "Chan";
            ExportToXspf.EnsureUniqueChanNumbers(dw);

            int id=0;
            foreach (DataRowView dr in dw)
            {
                string[] ipport = dr[0].ToString().Split(":".ToCharArray());
                string ip = ipport[0];
                string port="";
                if (ipport.Length>1)
                    port = ipport[1];
                int ch = (int)dr[1];
                string name = dr[2].ToString().Split(",".ToCharArray())[0];;
                string audio = dr[4].ToString().Split(",".ToCharArray())[0];
                string group = dr[3].ToString().Split(",".ToCharArray())[0];
                string epgid = dr[5].ToString().Split(",".ToCharArray())[0];

                if (id > 0)
                    sw.Write(",");
                sw.Write("[" +id.ToString()+@",""" +name+ @""","""+ ch.ToString() + @""",""" + ip + @""","""  + port + @""",""" + group + @""",""" + audio +  @""",""" + epgid + @""",""false""]"  ); 
                id+=1;
            }

            sw.Write("];");
            sw.Close();
        }
    }
}
